com.aliyun.svideosdk.editor.draft

## Enum AliyunDraftResTask.TaskType

- java.lang.Object
- - java.lang.Enum<AliyunDraftResTask.TaskType>
  - - com.aliyun.svideosdk.editor.draft.AliyunDraftResTask.TaskType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunDraftResTask.TaskType>
  Enclosing class:
    AliyunDraftResTask

      public static enum AliyunDraftResTask.TaskType
      extends java.lang.Enum<AliyunDraftResTask.TaskType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `download` 下载
    `preload` 预加载
    `upload` 上传

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunDraftResTask.TaskType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunDraftResTask.TaskType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### preload

          public static final AliyunDraftResTask.TaskType preload

      预加载

    - #### upload

          public static final AliyunDraftResTask.TaskType upload

      上传

    - #### download

          public static final AliyunDraftResTask.TaskType download

      下载

  - ### Method Detail

    - #### values

          public static AliyunDraftResTask.TaskType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunDraftResTask.TaskType c : AliyunDraftResTask.TaskType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunDraftResTask.TaskType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null